Name:           moto4lin
Version:        0.3
Release:        6%{?dist}
License:        GPL
Summary:        Filemanager and seem editor for Motorola P2k phones
Group:          Applications/Communications
URL:            http://moto4lin.sourceforge.net/wiki/Main_Page
Source:         http://easynews.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch1:         %{name}-0.3-crossplatform.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt-devel, desktop-file-utils, libusb-devel

%description
This software is Filemanager and seem editor for Motorola P2k phones
(like C380/C650).

%prep

%setup -q
%patch1 -p1 -b crossplatform
qmake

%build
make CXX="g++ $RPM_OPT_FLAGS" %{_smp_mflags} all

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}
%{__install} -p -D %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora"                        \
      --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%doc README Changelog GPL-2
%defattr(-,root,root)
%{_bindir}/moto4lin
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Tue Feb 13 2007 Sean Reifschneider <jafo@tummy.com> 0.3-6
- Including fix from Mamoru Tasaka to use compiler flags when builing.

* Sun Feb 11 2007 Sean Reifschneider <jafo@tummy.com> 0.3-5
- More suggestions from Manuel for the Fedora packaging.  Fixing
  inconsistent build_root usage, Fixing desktop category, changing group.

* Mon Feb 05 2007 Sean Reifschneider <jafo@tummy.com> 0.3-4
- More suggestions from Manuel for the Fedora packaging.  Fixing patch in
  spec file, removing lib64usb build dependency, changing .desktop file
  categories.

* Sun Feb 04 2007 Sean Reifschneider <jafo@tummy.com> 0.3-3
- More suggestions from Manuel for the Fedora packaging.  Adding license,
  spec file no longer clears BUILDROOT, adding desktop file and an icon
  based on a Creative Commons image from veintecerodos' on flickr, adding
  crossplatform build patch from
  http://www.entheos-technologies.com/Home/moto4lin/moto4lin.html

* Sun Feb 04 2007 Sean Reifschneider <jafo@tummy.com> 0.3-2
- Changes suggested by Manuel Wolfshant: Fix SMP built flags, qmake
  build dependency, and buildroot.

* Sat Feb 03 2007 Scott Kleihege <scott-rpm@tummy.com> 0.3-0.FC6
- initial version
